# Class SleepStageInterval

java.lang.Object
com.codename1.health.SleepStageInterval

public final class SleepStageInterval extends Object
A contiguous span of one `SleepStage` inside a `SleepSample`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SleepStageInterval(SleepStage stage, long startMillis, long endMillis)`
  Creates a stage interval.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getDurationMillis()`
  The length of this span in milliseconds.
  `long`
  `getEndMillis()`
  Exclusive end, epoch millis UTC.
  `SleepStage`
  `getStage()`
  The stage this span was classified as.
  `long`
  `getStartMillis()`
  Inclusive start, epoch millis UTC.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SleepStageInterval

    public SleepStageInterval(SleepStage stage, long startMillis, long endMillis)

    Creates a stage interval.

    ###### Throws

    - `IllegalArgumentException`: if `stage` is null or the end precedes the start.

- ## Method Details

  - ### getStage

    public SleepStage getStage()
    The stage this span was classified as.

  - ### getStartMillis

    public long getStartMillis()
    Inclusive start, epoch millis UTC.

  - ### getEndMillis

    public long getEndMillis()
    Exclusive end, epoch millis UTC.

  - ### getDurationMillis

    public long getDurationMillis()
    The length of this span in milliseconds.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`